+ Start a Discussion
@altius_rup@altius_rup 

Bug in dependency checks in packaging ?

Hi all,

 

I think we've stumbled on a bug in dependency checking in packaging, and we're now in a very delicate situation, not being able to remove now useless workflows from our package.

 

Here's the story :

 

We have developed a privately listed app for only one customer A : this was at version 1.5, installed in their Professional Edition. All is fine.

 

We have prepared a second verion of this app for a new customer B, created version 1.9902 and installed in their Professional Edition : this is their production environment, we're still in project mode so no data and no users there, yet. This did not work because I had forgotten to package 2 workflows which do simple field value updates on object creation, so I added them to version 1.9903; this installed fine in customer B's Professional Edition (production), but still did not work.

 

I then realised that the workflows were not there, although I had packaged them.  Of course, customer B has not purchased the workflows option in their org.

 

QUESTION 1 : how could I install this package with workflows in an org with no workflows feature activated ?

 

I proceeded to uninstall the package from customer B.

I then replaced the features implemented with the initial workflows with similar features in a trigger, tested, added to the package version 1.9904.

Here, I realised I could not remove the workflows : 2 workflows, 2 field update workflow actions. For some reason, I could only delete 1 workflow action; I did, and deactivated the workflows.

 

I then proceeded to install version 1.9904 into customer B's PE org : NOK, this install is refused because the dependency on workflows is now detected correctly, and install is refused.

 

QUESTION 2 : I have an app with useless workflows; the versions of this app with included workflows are installed nowhere so depdence saying "workflows included in this package because included in a previous version" hould relax, and let me remove those workflows, no ?

 

I have obsoleted versions 1.9902 and 1.9903 : I would like to obsolete 1.9904, even remove all 1.99xx versions now useless and repackage my app without those d*** workflows.

Forums say elsewhere I need to uninstall ALL customers (including customer A) to fix this : crazy and, in my case, useless and unacceptable.

 

 

Who can help ?  @forcedotcom #askforce

Rup